Bug Hunting Session
Bug 93357 - Thumbnail of ODP or PPTX presentation is updated to the last slide/page viewed
Summary: Thumbnail of ODP or PPTX presentation is updated to the last slide/page viewed
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
4.3.6.2 release
Hardware: Other All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Start-Center
  Show dependency treegraph
 
Reported: 2015-08-11 13:52 UTC by Pedro
Modified: 2019-04-12 08:57 UTC (History)
7 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Pedro 2015-08-11 13:52:53 UTC
When viewing a presentation from a ODP or PPTX file, the thumbnail in the Start Center (which usually shows the first slide/page) is updated to an image of the last slide viewed.

This does not make any sense for two reasons: 1) the first slide/page usually has the title of the presentation and it can be used for quick identification; 2) the presentation will not resume at the last viewed slide by default (and as far is I know there is no way to resume; it could be a new nice feature if it doesn't exist)

How to reproduce:
1) Open a ODP or PPTX file
2) Click on any slide from the Slide Pane 
3) Close the presentation (File > Close or any other way)

This is a regression from branch 4.2 where closing the presentation at any point will not change the thumbnail.

This bug only applies to ODP and PPTX presentations. It does not apply to PPT files.

NOTE: This also occurs if in step 2 you switch to Slide Show (F5 or Shift+F5)and move forward(or backward) any number of slides and then press Esc to exit
Comment 1 Pedro 2015-08-11 13:56:29 UTC
In branch 4.2 there were no thumbnails for PPTX so the bug is only a Regression for ODP files
Comment 2 Buovjaga 2015-09-05 18:05:11 UTC
Confirmed.

Win 7 Pro 64-bit Version: 5.1.0.0.alpha1+
Build ID: b3de73f32af6276a60f5678861c461631a75e743
TinderBox: Win-x86@39, Branch:master, Time: 2015-09-01_06:18:16
Locale: en-US (fi_FI)
Comment 3 Maxim Monastirsky 2015-09-06 06:31:45 UTC
(In reply to Pedro from comment #0)
> This is a regression from branch 4.2 where closing the presentation at any
> point will not change the thumbnail.
That's not exactly a regression, because even in 4.2 if you save the presentation, the thumbnail will be updated with the currently visible slide (and that's the behavior all the way back to, at least, OOo 2.0). It's now just a bit more visible, because since 4.3 we store the thumbnail also in the user profile (to support formats other than ODF), and this thumbnail is updated at file close, if the presentation wasn't modified.
Comment 4 Xisco Faulí 2016-09-12 12:46:45 UTC
Adding keyword 'bibisectRequest'.
Comment 5 Maxim Monastirsky 2016-09-12 22:47:15 UTC
(In reply to Xisco Faulí from comment #4)
> Adding keyword 'bibisectRequest'.
No need to bibisect. The problem is precisely described in comment 3, i.e. the change in 4.3 caused by generating thumbnail on file close to store in user's profile, which was made in Bug 72469.
Comment 6 Xisco Faulí 2016-09-13 07:32:55 UTC
then, I'll add 'bisected' as the commit is identified.
Probably it's good if UX team takes a look at it and decides what to do with it.
Comment 7 Heiko Tietze 2016-09-13 19:11:18 UTC Comment hidden (no-value)
Comment 8 V Stuart Foote 2016-09-13 20:03:59 UTC
This user profile thumbnail set to last page viewed before closing or saving affects both--Impress and Draw. Writer and Calc are not affected.

Think one way to resolve this would be an option to always open to the first slide/page (for Draw) and cache that image--so that optionally on closing the image of the first slide/page (for Draw) could be written to user profile and shown on thumbnail view.

Otherwise this is not a regression--it did not exist until we added thumbnail views to startcenter at 4.2--and later provided thumbnails for non-ODF formats at 4.3. 

Note that a preview thumbnail is not recorded into the ODF document(s)until they are saved--but the thumbnail of last viewed slide/page for ODF or other documents are written to the user profile when the document is closed. Caching the 1st page (or opening page) could be an option--just for writing to the user profile copy of the thumbnail view.
Comment 9 Pedro 2016-09-16 08:17:14 UTC
(In reply to V Stuart Foote from comment #8)

> Think one way to resolve this would be an option to always open to the first
> slide/page (for Draw) and cache that image--so that optionally on closing
> the image of the first slide/page (for Draw) could be written to user
> profile and shown on thumbnail view.

That would be perfect. 
Unless a new option to resume on the last slide viewed is added (that would be an interesting new feature but should be optional) then it doesn't make sense to show the thumbnail of the last viewed slide.
 
> Otherwise this is not a regression--it did not exist until we added
> thumbnail views to startcenter at 4.2--and later provided thumbnails for
> non-ODF formats at 4.3. 

Agreed for non-ODF formats. It is an enhancement request for those. But for ODP (and ODG from your comments) is was a regression since in branch 4.2 the thumbnail was the first slide (as expected) and in 4.3 the thumbnail changed to the last viewed slide.

> Note that a preview thumbnail is not recorded into the ODF document(s)until
> they are saved--but the thumbnail of last viewed slide/page for ODF or other
> documents are written to the user profile when the document is closed.
> Caching the 1st page (or opening page) could be an option--just for writing
> to the user profile copy of the thumbnail view.

Yes, that is the ideal solution.
I still don't see the point of having a thumbnail of the last page viewed if the document does not open on that page (for long ODT text documents where that might be useful, the thumbnail IS the first page...)
There seems to be some inconsistency in the thumbnail creation logic.
Comment 10 V Stuart Foote 2016-09-16 12:12:26 UTC
This issue with the last slide/page viewed used as thumbnail view saved to profile applies to both Impress and Draw.
Comment 11 Yousuf Philips (jay) (retired) 2016-09-17 21:54:04 UTC
This same issue hit me today and i believe it should always thumbnail the first slide of the presentation, whether or not it opens to the first slide or the last edited slide. This would also make the behaviour consistent across apps.

Writer has a feature to jump to the last edited point in the document, though it seems i cant find where to enable it :D, but i still believe it thumbnails the first page even when this feature is enabled.

I would believe the same behaviour should go for Draw.
Comment 12 Pedro 2016-09-17 22:17:54 UTC
(In reply to Yousuf Philips (jay) from comment #11)
> This same issue hit me today and i believe it should always thumbnail the
> first slide of the presentation, whether or not it opens to the first slide
> or the last edited slide. This would also make the behaviour consistent
> across apps.

+1

> Writer has a feature to jump to the last edited point in the document,
> though it seems i cant find where to enable it :D, but i still believe it
> thumbnails the first page even when this feature is enabled.

It does.
You don't need to enable it
https://ask.libreoffice.org/en/question/1144/how-to-save-cursor-position-in-writer/

> I would believe the same behaviour should go for Draw.

For consistency sake it should always show the first page for all document types
Comment 13 Heiko Tietze 2018-04-11 10:01:41 UTC
Agreement on the change, so go for it (comment 8 for the proposed solution). 

(Would have taken Maxim's argument myself)
QA: Missing the assignment to a META ticket ;-)
Comment 14 Pedro 2018-04-11 21:38:56 UTC
(In reply to Heiko Tietze from comment #13)
> Agreement on the change, so go for it (comment 8 for the proposed solution). 

What do you mean "go for it"? I'm not a developer :)
This was simply a request for an enhancement. If no developer finds this interesting then it can be closed.
I'm no longer using LibreOffice but I still think this makes sense.
Comment 15 QA Administrators 2019-04-12 02:56:40 UTC Comment hidden (obsolete)
Comment 16 Pedro 2019-04-12 08:57:23 UTC
Regression still occurs with version 6.1.5.2